Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing
Interface MenuElement

All Known Implementing Classes:
  JMenu, JMenuBar, JMenuItem, JPopupMenu

public interface MenuElement

Any component that can be placed into a menu should implement this interface. This interface is used by MenuSelection to handle selection and navigation in menu hierarchies.

Method Summary
`Component` | `getComponent()` This method should return the java.awt.Component used to paint the receiving element.
`MenuElement[]` | `getSubElements()` This method should return an array containing the sub-elements for the receiving menu element
`void` | `menuSelectionChanged(boolean isIncluded)` Call by the MenuSelection when the MenuElement is added or remove from the menu selection.
`void` | `processKeyEvent(KeyEvent event, MenuElement[] path, MenuSelectionManager manager)` Process a key event.
`void` | `processMouseEvent(MouseEvent event, MenuElement[] path, MenuSelectionManager manager)` Process a mouse event.

Method Detail

### processMouseEvent

    public void processMouseEvent(MouseEvent event,
                                  MenuElement[] path,
                                  MenuSelectionManager manager)

  Process a mouse event. event is a MouseEvent with source being the receiving element's component. path is the path of the receiving element in the menu hierarchy including the receiving element itself. manager is the MenuSelectionManager for the menu hierarchy. This method should process the MouseEvent and change the menu selection if necessary by using MenuSelectionManager's API Note: you do not have to forward the event to sub-components. This is done automatically by the MenuSelectionManager

### processKeyEvent

    public void processKeyEvent(KeyEvent event,
                                MenuElement[] path,
                                MenuSelectionManager manager)

  Process a key event.

### menuSelectionChanged

    public void menuSelectionChanged(boolean isIncluded)

  Call by the MenuSelection when the MenuElement is added or remove from the menu selection.

### getSubElements

    public MenuElement[] getSubElements()

  This method should return an array containing the sub-elements for the receiving menu element
  Returns:
    an array of MenuElements

### getComponent

    public Component getComponent()

  This method should return the java.awt.Component used to paint the receiving element. The returned component will be used to convert events and detect if an event is inside a MenuElement's component.
  Returns:
    the Component value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.